<template>
  <div>
    <!-- part-one  -->
    <v-container
      fluid
      :class="$vuetify.breakpoint.smAndDown ? 'mt-140' : 'mt-140 pr-12 pl-12'"
    >
      <HtmWhat :data-given="item1" />
    </v-container>
    <!-- part-two -->
    <v-container
      fluid
      :class="
        $vuetify.breakpoint.smAndDown
          ? 'grey lighten-5'
          : 'grey lighten-5 pr-12 pl-12'
      "
    >
      <HtmWhy :data-given="item2" />
    </v-container>
    <!-- part-3  -->
    <v-container fluid class="pa-12 mt-10 mb-12">
      <HtmHow :data-given="item3" />
    </v-container>
    <!-- part-4  -->
    <v-container fluid class="pa-12 mt-10 mb-12">
      <HtmTech />
    </v-container>
  </div>
</template>
<script>
export default {
  async asyncData({ app }) {
    const wholeContent = await import(`~/locales/${app.i18n.locale}/product/htm`);
    const item1 = wholeContent.default.whatIsHtm;
    const item2 = wholeContent.default.whyHtm.items;
    const item3 = wholeContent.default.howHtm.items;
    return { item1, item2, item3 };
  },
  head() {
    return {
      title: `${this.$t('htmProduct.htm')} | ${this.$t('head.title')}`,
      meta: [
        {
          name: 'description',
          property: 'og:description',
          content: this.$t('htmProduct.whatIsHtm.description'),
          hid: 'description',
        },
      ],
    };
  },
};
</script>
